package com.tuoheng.admin.controller;

import com.tuoheng.common.core.utils.DateUtils;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * 心调检查前端控制器
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-05-04
 */
@RestController
@RequestMapping("/health")
public class HealthController {

    @GetMapping
    public JsonResult getHealth() {
        Date date = DateUtils.now();
        return JsonResult.success(date);
    }

}
