package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员角色表
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_user_role")
public class UserRole extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /**
     * 人员ID
     */
    private String userId;

    /**
     * 角色ID
     */
    private String roleId;


}
