package com.tuoheng.admin.entity.request.report;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * 查询报告分页列表请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
@Data
public class ExportReportRequest {

    /**
     * 任务ID
     */
    private String inspectionId;

    /**
     * 大气数据类型
     */
    private String airDataType;
//    private String airDataTypeId;

    /**
     * 网格大小
     */
    private String gridSize;

    /**
     * 采样点数量
     */
    private String samplingPointsNum;

    /**
     * 检测区域网格平均尺寸
     */
    private String averageGridSize;

    /**
     * 总检测区域网格面积
     */
    private String gridArea;

    /**
     * 检测区域中心点经纬度
     */
    private String centerPointLongitudeAndLatitude;

    /**
     * 检测区域平均浓度
     */
    private String averageConcentration;

    /**
     * 网格浓度最高值
     */
    private String gridConcentrationMax;

    /**
     * 网格浓度最小值
     */
    private String gridConcentrationMix;

    /**
     * 单点浓度最高值
     */
    private String singlePointConcentrationMax;

    /**
     * 单点浓度最低值
     */
    private String singlePointConcentrationMin;

    /**
     * 图片oss地址
     */
    private String ossUrl;

    /**
     * 参照指标图片地址
     */
    private String referenceIndicatorHorizontalImageUrl;

}
