package com.tuoheng.admin.entity.request.third;

import lombok.Getter;
import lombok.Setter;

/**
 * 录制回调
 *
 * @author chenyukun
 */
@Setter
@Getter
public class DspRecordingCallbackRequest {

    /**
     * 请求id
     */
    private String requestId;

    /**
     * 状态 5:待执行 10：执行中 15：完成 20：超时 25：失败
     */
    private Integer status;

    /**
     * 录制状态 录制状态 0:初始化状态 5:待录制 10：重试中 15：录制中 20：录制完成 25：录制超时 30：录制失败
     */
    private Integer recordingStatus;

    /**
     * 异常编号
     */
    private String errorCode;

    /**
     * 异常描述
     */
    private String errorMsg;

    /**
     * 进度
     */
    private Double process;

    /**
     * 录屏视频地址
     */
    private String recordingVideoUrl;

    /**
     * 当前时间
     */
    private String currentTime;
}
