package com.tuoheng.admin.entity.third;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Map;

/**
 * @Author ChengWang
 * @Date 2023/5/22
 */
@Data
@Accessors(chain = true)
public class LingXiuDataResponse {

    private static final long serialVersionUID = 1L;

    /**
     * 卫星编号
     */
    private Integer sateNum;

    /**
     * 序号
     */
    private Integer sequence;

    /**
     * 序列号
     */
    private String serial;

    /**
     * 高度
     */
    private String altitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 湿度
     */
    private String humidity;

    /**
     * 水平精度因子
     */
    private String hdop;

    /**
     * 大气压
     */
    private String pressure;

    /**
     * UTC时间
     */
    private String utcTime;

    /**
     * 大气数据
     */
    private Map<String, Object> airData;
}
