package com.tuoheng.admin.constant;

public interface SystemConstant {

    /**
     * 平台code
     */
    String PLATFORM_CODE = "airmonitor";

    /**
     * 表格表头集
     */
    String[] EXCEL_NAME = {"采样点时间","海拔高度m","经度",
            "纬度","温度°C","湿度%","气压Pa","VOCs ppm","SO2 ppd","CO ppm","NO2 ppb",
            "o3+NO2 ppm","PM1.0 ug/m3","PM2.5 ug/m3","PM10 ug/m3","设备序列号"};

    /**
     * 表格表头集1
     */
    String[] EXCEL_SECOND_NAME = {"采样点时间","海拔高度m","经度",
            "纬度","SO2 μg/m³","CO mg/m³","NO2 μg/m³","O3 μg/m³","VOCS ppm","PM2.5 μg/m³","PM10 μg/m³",
            "设备序列号","序号"};

    /**
     * 顶级部门pid，默认为0
     */
    String ROOT_DEPT_PID = "0";

    String INIT_PASSWORD = "123456";

    /**
     *  高德url地址
     */
    String GAO_DE_URL = "https://restapi.amap.com/v3/geocode/regeo";

    /**
     * 机场平台：获取机场列表接口
     */
   String API_AIRPORT_LIST = "/airportInterface/airportList";

    /**
     * 机场平台：获取机场路线列表接口
     */
   String API_AIRPORT_LINE_LIST = "/airportInterface/taskByDroneId";

    /**
     * 机场平台：执行接口
     */
    String API_AIRPORT_EXECUTE_TASK = "/airportInterface/executeTaskAnsy";

    /**
     * 机场平台：获取天气
     */
    String API_AIRPORT_GET_WEATHER = "/airportInterface/getWeather";

    /**
     * 机场平台：控制无人机
     */
    String API_AIRPORT_DRONE_CONTROL = "/airportInterface/droneCommand";

    /**
     * 机场平台：定点飞行
     */
    String API_AIRPORT_POINT_FLIGH = "/airportInterface/createPointLine";

    // 飞手平台不同接口url
    /**
     * 新增任务接口
     */
    String ADD_PILOTTASK = "apiTask/add";

    /**
     * 机场平台：获取机场路线列表接口
     */
    String API_AIRPORT_LINE_FILE_LIST = "/airportInterface/getAirlineFileListForThird";

    /**
     * 机场平台：获取机场状态
     */
    String API_AIRPORT_STATUS_BY_AIRPORT_ID = "/airportInterface/getAirportStatusByAirportId";

    /**
     * 机场平台：获取航点文件坐标
     */
    String API_AIRPORT_LOCATION = "/airportInterface/getLocationById";

    /**
     * 机场平台：自动规划航线
     */
    String API_AIRPORT_DRONE_LINE = "/airportInterface/createDroneLine";


    /**
     * 机场平台：获取机场天气详情
     */
    String API_AIRPORT_STATUS = "/airportInterface/getAirportStatus";

    /**
     * 机场平台：根据id获取机场信息
     */
    String API_AIRPORT_MSG_BY_AIRPORT_ID = "/airportInterface/queryAirportList";

    /**
     * 机场平台：周期性任务创建/修改
     */
    String API_AIRPORT_INSPECTION = "/airportInterface/inspection";

    /**
     * Dsp平台，开始录制
     */
    String DSP_START_RECORD = "/api/web/screen/recording/start";

    /**
     * Dsp平台，停止录制
     */
    String DSP_STOP_RECORD = "/api/web/screen/recording/stop";

    /**
     * Dsp平台，查询录制信息
     */
    String DSP_QUERY_RECORD = "/api/web/screen/recording/video/url/";

    /**
     * Dsp平台，回调问题信息
     */
    String DSP_CALLBACK_QUESTION_FILE = "/question";

    /**
     * Dsp平台，回调录制信息
     */
    String DSP_CALLBACK_RECORDING = "/recording";

}
