package com.tuoheng.admin.entity.third;

import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class Airport extends BaseEntity {

    /**
     *机场名称
     */
    private String name;

    /**
     *机场编号
     */
    private String code;

    /**
     *经度
     */
    private String longitude;

    /**
     *纬度
     */
    private String latitude;

    /**
     *
     */
    private String groundStationUrl;

    /**
     *无人机id
     */
    private Integer droneId;

    /**
     *无人机名称
     */
    private String droneName;

    /**
     *机场状态
     */
    private String status;

    /**
     *机场状态
     */
    private String astatus;

    /**
     *机场内部监控地址
     */
    private String internalMonitorUrl;

    /**
     * 机场外部监控地址flv
     */
    private String flvExternalMonitorUrl;

    /**
     *机场外部监控地址
     */
    private String externalMonitorUrl;

    /**
     *覆盖范围
     */
    private String coverage;

    /**
     *图片
     */
    private String image;

    /**
     *地址
     */
    private String address;

    /**
     *排序
     */
    private Integer sort;

    /**
     *
     */
    private String edgeId;

    /**
     *是否在线
     */
    private Boolean online;

    /**
     *航线集合
     */
    private List<AirportTaskLine> taskLineList;

}
