package com.tuoheng.admin.entity.vo.airport;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *  机场线路视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-23
 */
@Data
@NoArgsConstructor
public class AirportLineVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 航线id
     */
    private Integer id;

    /**
     * 航线名称
     */
    private String fileName;

    /**
     * 航线地址
     */
    private String fileUrl;

    /**
     * 机场ID
     */
    private String airportId;

    /**
     * 机场名称
     */
    private String airportName;

    /**
     *  航线类型：1,航点航线;2,指点航线;3,指面航线
     */
    private String type;

    /**
     *  备注
     */
    private String note;

}
