package com.tuoheng.admin.service.third.airport.drone;

import com.tuoheng.admin.service.third.airport.drone.continuee.DroneContinueService;
import com.tuoheng.admin.service.third.airport.drone.hover.DroneHoverService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class DroneServiceImpl implements DroneService {

    @Autowired
    private DroneContinueService droneContinueService;

    @Autowired
    private DroneHoverService droneHoverService;

    @Override
    public JsonResult continuee(Integer airportId, String inspectionId) {
        return droneContinueService.continuee(airportId, inspectionId);
    }

    @Override
    public JsonResult hover(String inspectionId) {
        return droneHoverService.hover(inspectionId);
    }
}
